<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $section = $_POST['section'] ?? '';
    $sous_section = $_POST['sous_section'] ?? '';

    if (empty($section) || empty($sous_section)) {
        echo json_encode(['success' => false, 'message' => 'Les champs section et sous-section sont requis']);
        exit;
    }

    // Trouver l'ordre maximum actuel
    $stmt = $pdo->query("SELECT MAX(ordre) as max_ordre FROM structure_questionnaire");
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    $new_ordre = ($result['max_ordre'] ?? 0) + 1;

    // Insérer la nouvelle section et sous-section
    $stmt = $pdo->prepare("INSERT INTO structure_questionnaire (section, sous_section, ordre) VALUES (?, ?, ?)");
    if ($stmt->execute([$section, $sous_section, $new_ordre])) {
        // Enregistrer l'action dans l'historique
        logQuestionnaireAction($pdo, $_SESSION['user_id'], "Ajout de section", "Section: $section, Sous-section: $sous_section");
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Erreur lors de l\'ajout de la section']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}
?>