<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $tagId = $_POST['tagId'] ?? '';
    $description = $_POST['description'] ?? '';
    $date = $_POST['date'] ?? '';
    $section = $_POST['section'] ?? '';
    $sous_section = $_POST['sous_section'] ?? '';
    $numero_chambre = $_POST['numero_chambre'] ?? '';

    if (empty($tagId) || empty($description) || empty($date) || empty($section)) {
        echo json_encode(['success' => false, 'message' => 'Tous les champs obligatoires doivent être remplis']);
        exit;
    }

    try {
        $pdo->beginTransaction();

        // Ajouter la nouvelle date clé
        $stmt = $pdo->prepare("INSERT INTO dates_cles (description, date, section, sous_section, numero_chambre) VALUES (?, ?, ?, ?, ?)");
        $stmt->execute([$description, $date, $section, $sous_section, $numero_chambre]);

        // Réinitialiser le compteur de tags
        $stmt = $pdo->prepare("DELETE FROM tags_taches WHERE tag_id = ?");
        $stmt->execute([$tagId]);

        $pdo->commit();

        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        $pdo->rollBack();
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}