<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

$data = json_decode(file_get_contents('php://input'), true);
$notification_id = $data['notification_id'] ?? null;
$tags = $data['tags'] ?? [];
$remarque = $data['remarque'] ?? '';

if ($notification_id) {
    $pdo->beginTransaction();

    try {
        // Créer la tâche sans le champ share_asana
        $stmt = $pdo->prepare("INSERT INTO taches (notification_id, remarque) VALUES (?, ?)");
        $stmt->execute([$notification_id, $remarque]);
        $task_id = $pdo->lastInsertId();

        // Ajouter les tags
        $stmt = $pdo->prepare("INSERT INTO tags_taches (tache_id, tag_id) VALUES (?, ?)");
        foreach ($tags as $tag_id) {
            $stmt->execute([$task_id, $tag_id]);
        }

        // Mettre à jour le statut de la notification
        $stmt = $pdo->prepare("UPDATE notifications SET status = 'traitee' WHERE id = ?");
        $stmt->execute([$notification_id]);

        $pdo->commit();
        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        $pdo->rollBack();
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Paramètres invalides']);
}