<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = $_POST['id'] ?? '';

    if (empty($id)) {
        echo json_encode(['success' => false, 'message' => 'L\'id de la sous-section est requis']);
        exit;
    }

    // Supprimer la sous-section
    $stmt = $pdo->prepare("DELETE FROM structure_questionnaire WHERE id = ?");
    if ($stmt->execute([$id])) {
        // Enregistrer l'action dans l'historique
        logQuestionnaireAction($pdo, $_SESSION['user_id'], "Suppression de sous-section", "ID: {$id}");
        
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Erreur lors de la suppression de la sous-section']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}