<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = $_POST['id'] ?? '';
    $sous_section = $_POST['sous_section'] ?? '';

    if (empty($id) || empty($sous_section)) {
        echo json_encode(['success' => false, 'message' => 'Les champs id et sous-section sont requis']);
        exit;
    }

    // Récupérer l'ancienne valeur pour l'historique
    $stmt = $pdo->prepare("SELECT section, sous_section FROM structure_questionnaire WHERE id = ?");
    $stmt->execute([$id]);
    $old_data = $stmt->fetch(PDO::FETCH_ASSOC);

    // Mettre à jour la sous-section
    $stmt = $pdo->prepare("UPDATE structure_questionnaire SET sous_section = ? WHERE id = ?");
    if ($stmt->execute([$sous_section, $id])) {
        // Enregistrer l'action dans l'historique
        logQuestionnaireAction($pdo, $_SESSION['user_id'], "Modification de sous-section", "Section: {$old_data['section']}, Ancienne sous-section: {$old_data['sous_section']}, Nouvelle sous-section: $sous_section");
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Erreur lors de la modification de la sous-section']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}
?>