<?php
require_once '../includes/db_connect.php';

header('Content-Type: application/json; charset=utf-8');

$id = $_GET['id'] ?? null;

if (!$id) {
    echo json_encode(['error' => 'ID manquant']);
    exit;
}

$stmt = $pdo->prepare("SELECT subject, body FROM email_templates WHERE id = ?");
$stmt->execute([$id]);
$template = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$template) {
    echo json_encode(['error' => 'Modèle non trouvé']);
    exit;
}

// Assurez-vous que les données sont bien encodées en UTF-8
$template['subject'] = mb_convert_encoding($template['subject'], 'UTF-8', 'UTF-8');
$template['body'] = mb_convert_encoding($template['body'], 'UTF-8', 'UTF-8');

echo json_encode([
    'subject' => $template['subject'],
    'body' => $template['body']
]);