<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['error' => 'Non autorisé']);
    exit;
}

$tagId = $_GET['tag_id'] ?? null;

if (!$tagId) {
    echo json_encode(['error' => 'Tag ID manquant']);
    exit;
}

try {
    $query = "
        SELECT 
            t.id, 
            t.remarque, 
            t.date_creation, 
            t.status, 
            n.section, 
            n.sous_section, 
            n.note,
            c.prenom, 
            c.nom, 
            c.numero_chambre, 
            q.date_soumission,
            cs.commentaire
        FROM 
            taches t
        JOIN 
            tags_taches tt ON t.id = tt.tache_id
        JOIN 
            notifications n ON t.notification_id = n.id
        JOIN 
            questionnaires q ON n.questionnaire_id = q.id
        JOIN 
            clients c ON q.client_id = c.id
        LEFT JOIN
            commentaires_sections cs ON q.id = cs.questionnaire_id AND n.section = cs.section
        WHERE 
            tt.tag_id = :tag_id
        ORDER BY 
            t.date_creation DESC
    ";

    $stmt = $pdo->prepare($query);
    $stmt->execute(['tag_id' => $tagId]);
    $tasks = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($tasks);
} catch (Exception $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>