<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $json = file_get_contents('php://input');
    $structure = json_decode($json, true);

    if (!is_array($structure)) {
        echo json_encode(['success' => false, 'message' => 'Données JSON invalides']);
        exit;
    }

    $pdo->beginTransaction();

    try {
        // Vider la table existante
        $pdo->exec("TRUNCATE TABLE structure_questionnaire");

        // Insérer la nouvelle structure
        $stmt = $pdo->prepare("INSERT INTO structure_questionnaire (section, sous_section, ordre) VALUES (?, ?, ?)");
        foreach ($structure as $item) {
            $stmt->execute([$item['section'], $item['sous_section'], $item['ordre']]);
        }

        // Enregistrer l'action dans l'historique
        logQuestionnaireAction($pdo, $_SESSION['user_id'], 'Import', 'Import d\'une nouvelle structure de questionnaire');

        $pdo->commit();
        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        $pdo->rollBack();
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}
?>