<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    header("Location: ../admin.php");
    exit;
}

// Récupérer la structure du questionnaire
$stmt = $pdo->query("SELECT * FROM structure_questionnaire ORDER BY ordre");
$structure = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Grouper les sous-sections par section
$sections = [];
foreach ($structure as $item) {
    if (!isset($sections[$item['section']])) {
        $sections[$item['section']] = [];
    }
    $sections[$item['section']][] = $item;
}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Prévisualisation du Questionnaire</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/tailwindcss/2.2.19/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 font-sans">
    <div class="container mx-auto px-4 py-8">
        <h1 class="text-3xl font-bold mb-8 text-center">Questionnaire de satisfaction</h1>
        
        <form class="space-y-8">
            <?php foreach ($sections as $sectionName => $subSections): ?>
                <div class="bg-white shadow-md rounded-lg p-6 mb-6">
                    <h2 class="text-2xl font-semibold mb-4"><?php echo htmlspecialchars($sectionName); ?></h2>
                    
                    <?php foreach ($subSections as $subSection): ?>
                        <div class="mb-4">
                            <h3 class="text-lg font-medium mb-2"><?php echo htmlspecialchars($subSection['sous_section']); ?></h3>
                            <div class="flex items-center">
                                <?php for ($i = 1; $i <= 5; $i++): ?>
                                    <button type="button" class="text-2xl focus:outline-none mr-1">
                                        <span class="text-gray-300">☆</span>
                                    </button>
                                <?php endfor; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                    
                    <div class="mt-4">
                        <label class="block text-sm font-medium text-gray-700">Commentaire</label>
                        <textarea class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" rows="3"></textarea>
                    </div>
                </div>
            <?php endforeach; ?>
            
            <div class="text-center">
                <button type="submit" class="bg-blue-500 hover:bg-blue-600 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                    Valider votre avis
                </button>
            </div>
        </form>
    </div>
</body>
</html>