<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';

// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['error' => 'Non autorisé']);
    exit;
}

$tag_id = $_GET['tag_id'] ?? null;

if (!$tag_id) {
    echo json_encode(['error' => 'Tag ID non fourni']);
    exit;
}

// Récupérer les e-mails des clients associés au tag
$query = "
    SELECT DISTINCT c.email
    FROM taches t
    JOIN tags_taches tt ON t.id = tt.tache_id
    JOIN notifications n ON t.notification_id = n.id
    JOIN questionnaires q ON n.questionnaire_id = q.id
    JOIN clients c ON q.client_id = c.id
    WHERE tt.tag_id = :tag_id AND c.email IS NOT NULL AND c.email != ''
";

$stmt = $pdo->prepare($query);
$stmt->execute(['tag_id' => $tag_id]);
$emails = $stmt->fetchAll(PDO::FETCH_COLUMN);

if (empty($emails)) {
    echo json_encode(['error' => 'Aucun e-mail trouvé pour ce tag']);
} else {
    echo json_encode(['success' => true, 'emails' => $emails]);
}
exit;