<?php
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


$notificationCount = getNotificationCount($pdo);
$taskAlertCount = getTotalAlerts($pdo);

$current_page = basename($_SERVER['PHP_SELF'], '.php');
?>

<div id="sidebar" class="text-white w-64 min-h-screen flex flex-col justify-between transition-all duration-300 ease-in-out fixed left-0 top-0 z-50" style="background-color: #193440;">
    <div class="flex items-center p-4 ">
        <h2 class="text-2xl font-semibold sidebar-full">Dashboard</h2>
        <button id="toggleSidebar" class="text-white focus:outline-none ml-auto">
            <svg class="w-6 h-6 transform transition-transform duration-300" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 19l-7-7 7-7"></path>
            </svg>
        </button>
    </div>
    <nav class="flex-1 px-2 py-4 space-y-2">
        <a href="dashboard.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'dashboard' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/dashboard-icon.svg" alt="Dashboard" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3">Tableau de bord</span>
        </a>
        <a href="analytics.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'analytics' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/analytics-icon.svg" alt="Analytics" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3">Analytics</span>
        </a>
        <a href="notifications.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 relative <?php echo $current_page === 'notifications' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/notification-icon.svg" alt="Notifications" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3 flex-grow">Notifications</span>
            <?php if ($notificationCount > 0): ?>
                <span class="notification-badge">
                    <?php echo $notificationCount; ?>
                </span>
            <?php endif; ?>
        </a>
        <a href="taches.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 relative <?php echo $current_page === 'taches' ? 'bg-blue-600' : ($taskAlertCount > 0 ? 'bg-red-600 animate-pulse' : ''); ?>">
            <img src="../img/task-icon.svg" alt="Tâches" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3 flex-grow">Tâches</span>
            <?php if ($taskAlertCount > 0): ?>
                <span class="task-badge">
                    <?php echo $taskAlertCount; ?>
                </span>
            <?php endif; ?>
        </a>
        <a href="dates_cles.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'dates_cles' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/calendar-icon.svg" alt="Dates clés" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3">Dates clés</span>
        </a>
        <a href="questionnaire.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'questionnaire' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/questionnaire-icon.svg" alt="Questionnaire" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3">Questionnaire</span>
        </a>
        <a href="manage_tags.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'manage_tags' ? 'bg-blue-600' : ''; ?>">
            <img src="../img/tag-icon.svg" alt="Gestion des Tags" class="w-5 h-5 sidebar-icon">
            <span class="sidebar-full ml-3">Gestion des Tags</span>
        </a>
        <a href="email_templates.php" class="flex items-center py-3 px-4 hover:bg-blue-700 rounded transition duration-200 <?php echo $current_page === 'email_templates' ? 'bg-blue-600' : ''; ?>">
    <img src="../img/email-icon.svg" alt="Email Templates" class="w-5 h-5 sidebar-icon">
    <span class="sidebar-full ml-3">Modèles d'emails</span>
</a>
    </nav>
    <a href="../logout.php" class="flex items-center px-4 py-3 hover:bg-blue-700 transition duration-200 mb-4">
        <img src="../img/logout-icon.svg" alt="Déconnexion" class="w-5 h-5 sidebar-icon">
        <span class="sidebar-full ml-3">Déconnexion</span>
    </a>
</div>

<style>
    #sidebar {
        width: 256px;
    }
    #sidebar.retracted {
        width: 60px;
    }
    #sidebar.retracted .sidebar-full {
        display: none;
    }
    #sidebar.retracted .sidebar-icon {
        margin-right: 0;
    }
    #sidebar.retracted #toggleSidebar {
        position: absolute;
        left: -70px;
        top: 15px;
    }
    #sidebar.retracted #toggleSidebar svg {
        transform: rotate(180deg);
    }
    #sidebar.retracted a {
        justify-content: center;
    }
    #main-content {
        margin-left: 256px;
        transition: margin-left 0.3s ease-in-out;
    }
    #main-content.sidebar-retracted {
        margin-left: 60px;
    }
    .sidebar-icon {
        min-width: 20px;
    }
    @keyframes pulse {
        0%, 100% { opacity: 1; }
        50% { opacity: 0.5; }
    }
    .animate-pulse {
        animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
    }
    .notification-badge, .task-badge {
        position: absolute;
        right: 8px;
        top: 50%;
        transform: translateY(-50%);
        border-radius: 50%;
        width: 22px;
        height: 22px;
        font-size: 12px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .notification-badge {
        background-color: red;
        color: white;
    }
    .task-badge {
        background-color: white;
        color: red;
        font-weight: bold;
    }
    #sidebar.retracted .notification-badge,
    #sidebar.retracted .task-badge {
        right: 4px;
    }
    #toggleSidebar {
        margin-left: 88px;
    }
    
</style>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const sidebar = document.getElementById('sidebar');
        const toggleButton = document.getElementById('toggleSidebar');
        const mainContent = document.querySelector('#main-content');

        function updateSidebarState(isRetracted) {
            if (isRetracted) {
                sidebar.classList.add('retracted');
                mainContent.classList.add('sidebar-retracted');
            } else {
                sidebar.classList.remove('retracted');
                mainContent.classList.remove('sidebar-retracted');
            }
            localStorage.setItem('sidebarRetracted', isRetracted);
        }

        const sidebarRetracted = localStorage.getItem('sidebarRetracted') === 'true';
        updateSidebarState(sidebarRetracted);

        toggleButton.addEventListener('click', function() {
            const isCurrentlyRetracted = sidebar.classList.contains('retracted');
            updateSidebarState(!isCurrentlyRetracted);
        });

        sidebar.querySelectorAll('a').forEach(link => {
            link.addEventListener('click', function(e) {
                if (sidebar.classList.contains('retracted')) {
                    e.preventDefault();
                    const href = this.getAttribute('href');
                    updateSidebarState(true);
                    window.location.href = href;
                }
            });
        });
    });
</script>