<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = $_POST['id'] ?? '';
    $active = $_POST['active'] ?? '';

    if (empty($id) || !isset($active)) {
        echo json_encode(['success' => false, 'message' => 'Paramètres manquants']);
        exit;
    }

    $active = $active === 'true' ? 1 : 0;

    $stmt = $pdo->prepare("UPDATE structure_questionnaire SET active = ? WHERE id = ?");
    if ($stmt->execute([$active, $id])) {
        // Enregistrer l'action dans l'historique
        $action = $active ? "Activation" : "Désactivation";
        logQuestionnaireAction($pdo, $_SESSION['user_id'], $action, "Sous-section ID: $id");
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Erreur lors de la mise à jour de la sous-section']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}
?>