<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';

// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['success' => false, 'message' => 'Non autorisé']);
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $structure = json_decode(file_get_contents('php://input'), true);

    if (!is_array($structure)) {
        echo json_encode(['success' => false, 'message' => 'Données invalides']);
        exit;
    }

    $pdo->beginTransaction();

    try {
        $stmt = $pdo->prepare("UPDATE structure_questionnaire SET ordre = ? WHERE id = ?");
        foreach ($structure as $item) {
            $stmt->execute([$item['ordre'], $item['id']]);
        }

        // Enregistrer la modification dans l'historique
        logQuestionnaireAction($pdo, $_SESSION['user_id'], "Réorganisation", "Mise à jour de l'ordre des sections et sous-sections");

        $pdo->commit();
        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        $pdo->rollBack();
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Méthode non autorisée']);
}
?>