<?php
session_start();
define('SECURE_ACCESS', true);
require_once __DIR__ . '/d8f7g9h3j2k.php';
require_once 'includes/db_connect.php';
require_once 'includes/functions.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $pdo->beginTransaction();

    try {
        // Insérer le questionnaire
        $stmt = $pdo->prepare("INSERT INTO questionnaires (client_id) VALUES (NULL)");
        $stmt->execute();
        $questionnaire_id = $pdo->lastInsertId();

        // Insérer les notes et vérifier les commentaires obligatoires
        $stmt = $pdo->prepare("INSERT INTO notes_sous_sections (questionnaire_id, section, sous_section, note) VALUES (?, ?, ?, ?)");
        $comment_stmt = $pdo->prepare("INSERT INTO commentaires_sections (questionnaire_id, section, commentaire) VALUES (?, ?, ?)");
        
        foreach ($_POST['ratings'] as $section => $subsections) {
            $low_rating = false;
            foreach ($subsections as $subsection => $note) {
                if ($note !== '') {
                    $stmt->execute([$questionnaire_id, $section, $subsection, $note]);
                    if ($note <= 2) {
                        $low_rating = true;
                    }
                }
            }
            
            // Vérifier si le commentaire est obligatoire et présent
            $comment = $_POST['comments'][$section] ?? '';
            if ($low_rating && empty(trim($comment))) {
                throw new Exception("Le commentaire pour la section '$section' est obligatoire.");
            }
            
            // Insérer le commentaire s'il existe
            if (!empty(trim($comment))) {
                $comment_stmt->execute([$questionnaire_id, $section, $comment]);
            }
        }

        // Créer des notifications pour les notes basses
        foreach ($_POST['ratings'] as $section => $subsections) {
            foreach ($subsections as $subsection => $note) {
                if ($note !== '' && $note <= 2) {
                    createNotification($pdo, $questionnaire_id, $section, $subsection, $note);
                }
            }
        }

        $pdo->commit();

        // Mettre à jour les statistiques des dates clés
        updateDateCleStats($pdo, $questionnaire_id);

        $_SESSION['questionnaire_id'] = $questionnaire_id;
        header("Location: merci.html");
        exit;
    } catch (Exception $e) {
        $pdo->rollBack();
        $_SESSION['error'] = $e->getMessage();
        header("Location: index.php");
        exit;
    }
} else {
    // Rediriger si ce n'est pas une requête POST
    header("Location: index.php");
    exit;
}
?>